> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dittofeed.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /api/admin/user-properties/

> Get all user properties.



## OpenAPI

````yaml get /api/admin/user-properties/
openapi: 3.1.0
info:
  title: Dittofeed API
  description: Dittofeed API Swagger Documentation
  version: 0.0.1
servers: []
security: []
paths:
  /api/admin/user-properties/:
    get:
      tags:
        - User Properties
      description: Get all user properties.
      parameters:
        - schema:
            type: string
          in: query
          name: workspaceId
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  userProperties:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        workspaceId:
                          type: string
                        name:
                          type: string
                        definition:
                          title: UserPropertyDefinition
                          description: A user property definition.
                          anyOf:
                            - title: IdUserPropertyDefinition
                              description: >-
                                A user property definition that resolves to a
                                user's id.
                              type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - Id
                              required:
                                - type
                            - title: AnonymousIdUserPropertyDefinition
                              description: >-
                                A user property definition that resolves to a
                                user's anonymous id.
                              type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - AnonymousId
                              required:
                                - type
                            - title: GroupUserPropertyDefinition
                              description: >-
                                A user property definition that is a parent of
                                other user property definitions.
                              type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - Group
                                entry:
                                  type: string
                                nodes:
                                  type: array
                                  items:
                                    title: GroupChildrenUserPropertyDefinitions
                                    description: >-
                                      A user property definition that is a child
                                      of a group user property definition.
                                    anyOf:
                                      - title: AnyOfUserPropertyDefinition
                                        description: >-
                                          A user property definition that resolves
                                          to the first matching user property
                                          definition.
                                        type: object
                                        properties:
                                          id:
                                            type: string
                                          type:
                                            type: string
                                            enum:
                                              - AnyOf
                                          children:
                                            type: array
                                            items:
                                              type: string
                                        required:
                                          - id
                                          - type
                                          - children
                                      - title: LeafUserPropertyDefinition
                                        description: >-
                                          Child of a group user property
                                          definition.
                                        anyOf:
                                          - title: TraitUserPropertyDefinition
                                            description: >-
                                              A user property definition that resolves
                                              to a matching trait.
                                            type: object
                                            properties:
                                              id:
                                                type: string
                                              type:
                                                type: string
                                                enum:
                                                  - Trait
                                              path:
                                                type: string
                                            required:
                                              - type
                                              - path
                                          - title: PerformedUserPropertyDefinition
                                            description: >-
                                              A user property definition that renders
                                              the last matching track event.
                                            type: object
                                            properties:
                                              id:
                                                type: string
                                              type:
                                                type: string
                                                enum:
                                                  - Performed
                                              event:
                                                type: string
                                              path:
                                                type: string
                                              skipReCompute:
                                                type: boolean
                                              properties:
                                                type: array
                                                items:
                                                  type: object
                                                  properties:
                                                    path:
                                                      type: string
                                                    operator:
                                                      type: object
                                                      properties:
                                                        type:
                                                          type: string
                                                          enum:
                                                            - Equals
                                                        value:
                                                          type: string
                                                      required:
                                                        - type
                                                        - value
                                                  required:
                                                    - path
                                                    - operator
                                            required:
                                              - type
                                              - event
                                              - path
                                          - title: FileUserPropertyDefinition
                                            description: >-
                                              A user property definition that resolves
                                              to a file.
                                            type: object
                                            properties:
                                              id:
                                                type: string
                                              type:
                                                type: string
                                                enum:
                                                  - File
                                              skipReCompute:
                                                type: boolean
                                              name:
                                                type: string
                                            required:
                                              - type
                                              - name
                                          - title: KeyedPerformedUserPropertyDefinition
                                            description: >-
                                              A user property definition that renders
                                              the last matching track event with a
                                              given key. Used in event entry journeys.
                                            type: object
                                            properties:
                                              id:
                                                type: string
                                              type:
                                                type: string
                                                enum:
                                                  - KeyedPerformed
                                              event:
                                                type: string
                                              path:
                                                type: string
                                              key:
                                                type: string
                                              properties:
                                                type: array
                                                items:
                                                  type: object
                                                  properties:
                                                    path:
                                                      type: string
                                                    operator:
                                                      type: object
                                                      properties:
                                                        type:
                                                          type: string
                                                          enum:
                                                            - Equals
                                                        value:
                                                          type: string
                                                      required:
                                                        - type
                                                        - value
                                                  required:
                                                    - path
                                                    - operator
                                            required:
                                              - type
                                              - event
                                              - path
                                              - key
                              required:
                                - type
                                - entry
                                - nodes
                            - title: LeafUserPropertyDefinition
                              description: Child of a group user property definition.
                              anyOf:
                                - title: TraitUserPropertyDefinition
                                  description: >-
                                    A user property definition that resolves to
                                    a matching trait.
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                    type:
                                      type: string
                                      enum:
                                        - Trait
                                    path:
                                      type: string
                                  required:
                                    - type
                                    - path
                                - title: PerformedUserPropertyDefinition
                                  description: >-
                                    A user property definition that renders the
                                    last matching track event.
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                    type:
                                      type: string
                                      enum:
                                        - Performed
                                    event:
                                      type: string
                                    path:
                                      type: string
                                    skipReCompute:
                                      type: boolean
                                    properties:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          path:
                                            type: string
                                          operator:
                                            type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - Equals
                                              value:
                                                type: string
                                            required:
                                              - type
                                              - value
                                        required:
                                          - path
                                          - operator
                                  required:
                                    - type
                                    - event
                                    - path
                                - title: FileUserPropertyDefinition
                                  description: >-
                                    A user property definition that resolves to
                                    a file.
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                    type:
                                      type: string
                                      enum:
                                        - File
                                    skipReCompute:
                                      type: boolean
                                    name:
                                      type: string
                                  required:
                                    - type
                                    - name
                                - title: KeyedPerformedUserPropertyDefinition
                                  description: >-
                                    A user property definition that renders the
                                    last matching track event with a given key.
                                    Used in event entry journeys.
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                    type:
                                      type: string
                                      enum:
                                        - KeyedPerformed
                                    event:
                                      type: string
                                    path:
                                      type: string
                                    key:
                                      type: string
                                    properties:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          path:
                                            type: string
                                          operator:
                                            type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - Equals
                                              value:
                                                type: string
                                            required:
                                              - type
                                              - value
                                        required:
                                          - path
                                          - operator
                                  required:
                                    - type
                                    - event
                                    - path
                                    - key
                            - title: PerformedManyUserPropertyDefinition
                              description: >-
                                A user property definition that renders all
                                matching track events.
                              type: object
                              properties:
                                id:
                                  type: string
                                type:
                                  type: string
                                  enum:
                                    - PerformedMany
                                or:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      event:
                                        type: string
                                    required:
                                      - event
                              required:
                                - type
                                - or
                        exampleValue:
                          type: string
                        updatedAt:
                          allOf:
                            - type: number
                            - type: number
                        lastRecomputed:
                          type: number
                        status:
                          anyOf:
                            - type: string
                              enum:
                                - NotStarted
                            - type: string
                              enum:
                                - Running
                            - type: string
                              enum:
                                - Paused
                        createdAt:
                          type: number
                        definitionUpdatedAt:
                          type: number
                      required:
                        - id
                        - workspaceId
                        - name
                        - definition
                        - updatedAt
                        - createdAt
                        - definitionUpdatedAt
                required:
                  - userProperties

````